> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkedcamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign Status

> Update the status of a specific campaign.

## Headers

<ParamField header="token" type="string" required>
  Your LinkedCamp API token.
</ParamField>

## Path Parameters

<ParamField path="campaignId" type="string" required>
  The ID of the campaign to update.
</ParamField>

## Query Parameters

<ParamField query="status" type="string" required>
  The new status to set for the campaign.

  Available values: `ACTIVE`, `PAUSED`, `COMPLETED`, `FAILED`, `ARCHIVED`
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="message" type="string">
  A human-readable result message.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT "https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSED" \
    -H "token: YOUR_API_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  response = requests.put(
      "https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0",
      headers={"token": "YOUR_API_TOKEN"},
      params={"status": "PAUSED"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.linkedcamp.com/campaigns/60f7a1b2c3d4e5f6a7b8c9d0?status=PAUSED",
    {
      method: "PUT",
      headers: { "token": "YOUR_API_TOKEN" },
    }
  );
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Campaign PAUSED successfully!"
  }
  ```

  ```json 400 theme={null}
  {
    "success": false,
    "message": "Campaign id is required!"
  }
  ```
</ResponseExample>
